Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3504 - fh_verify and nfs_rpc_verify: read-only access on a volume mounted read-write
Summary: fh_verify and nfs_rpc_verify: read-only access on a volume mounted read-write
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: knfsd
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-16 17:03 UTC by o.pribyl
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-23 09:16:34 UTC


Attachments (Terms of Use)

Description o.pribyl 1999-06-16 17:03:44 UTC
I will call the two Red Hat 6.0 machines server and client.
They share password information via NIS.  User john's home
directory is in server:/home/john and server:/home is
exported read-write to the subnet which includes client.
When he logs into client, the home directory is automounted
as client:/homes/john.  All files are accessible, but
whenever john tries to write to the filesystem (creating new
files, deleting, etc), access is denied.  So when he tries
to execute 'touch testfile' in his home directory, the error
message appears on the terminal:
'touch: testfile: Read-only file system' and the file is not
created.

At the same time, kernel on server logs this message to
syslog:
kernel: fh_verify: john/.bash_history permission failure,
acc=2, error=30

The syslog on client registers:
nfs_rpc_verify: RPC call rejected: 1
nfs_statfs: statfs error = 5

Needless to say, this mounting worked perfectly when both
machines were RedHat 5.2.  The same happens if the server is
Red Hat 6.0 and the client Red Hat 5.2.

Comment 1 Jeff Johnson 1999-06-16 17:32:59 UTC
IIRC, the convention for access to a file system has changed. In 5.2,
if no access was specified, rw was assumed. In 6.0, ro is assumed.
Try exporting the file system with explicit rw access.

Comment 2 o.pribyl 1999-06-17 14:57:59 UTC
Your recommendation has done the trick.  I thought I had tried that
when I was submitting the bug report.  I changed the old export entry
192.0.0.0/255.255.255.0 to 192.0.0.0/255.255.255.0(rw) and everything
works.  Thanks!

Comment 3 Jeff Johnson 1999-07-23 09:16:59 UTC
This problem appears to be fixed.

Comment 4 Mark Wilkinson 2000-02-25 11:03:59 UTC
The documentation is wrong, though. From the exports(5) man page:

       ro     Allow only read-only requests on this  NFS  volume.
              The  default  is  to  allow write requests as well,
              which can also be made explicit  by  using  the  rw
              option.


Note You need to log in before you can comment on or make changes to this bug.